Skip to content

Delete document renditions in bulk.

  • The maximum input file size is 1GB.
  • The values in the input must be UTF-8 encoded.
  • CSVs must follow the standard RFC 4180 format, with some exceptions.
  • The maximum batch size is 500.
DELETE/api/{version}/objects/documents/renditions/batch
NameDescription
Content-Typetext/csv or application/json
Acceptapplication/json (default) or text/csv

Create a CSV or JSON input file.

NameDescription
id
conditional
The system-assigned document ID of the document to delete. Not required if providing a unique field identifier (idParam) such as external_id__v.
external_id__v
conditional
Instead of id, you can use this user-defined document external ID.
rendition_type__v
required
Rendition type to delete from the document.
major_version_number__v
required
Major version number of the document rendition to remove.
minor_version_number__v
required
Minor version number of the document rendition to remove.
curl -X DELETE -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: text/csv" \ --data-binary @"C:\Vault\Documents\delete_document_renditions.csv" \ https://myvault.veevavault.com/api/v23.1/objects/documents/renditions/batch
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "SUCCESS", "id": 771, "external_id__v": "ALT-DOC-0771", "major_version_number__v": 0, "minor_version_number__v": 2, "rendition_type__c": "imported_rendition__c" }, { "responseStatus": "SUCCESS", "id": 772, "external_id__v": "CHO-DOC-0772", "major_version_number__v": 0, "minor_version_number__v": 2, "rendition_type__c": "imported_rendition__c" }, { "responseStatus": "SUCCESS", "id": 773, "external_id__v": "GLU-DOC-0773", "major_version_number__v": 1, "minor_version_number__v": 0, "rendition_type__c": "imported_rendition__c" }, { "responseStatus": "FAILURE", "errors": [ { "type": "INVALID_DATA", "message": "Error message describing why this document rendition was not added." } ] } ] }